LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Desktop
User Name
Password
Linux - Desktop This forum is for the discussion of all Linux Software used in a desktop context.

Notices

Reply
 
Search this Thread
Old 03-02-2007, 06:24 AM   #1
phantom_cyph
Senior Member
 
Registered: Feb 2007
Location: My HDD...
Distribution: WinXP for designing, Linux for life.
Posts: 2,329
Blog Entries: 1

Rep: Reputation: 47
totem? plugins?


Sometimes I try to play videos on the internet, but it comes up with a message that totem could not play it and that I may need to install missing plugins. What am I missing?
 
Old 03-02-2007, 07:34 AM   #2
Hitboxx
Senior Member
 
Registered: Mar 2006
Location: India
Distribution: Fedora
Posts: 1,562
Blog Entries: 3

Rep: Reputation: 51
Miss anything??
Code:
[shrikant@shricore64 ~]$ yum list installed | grep gstreamer
gstreamer.i386                           0.10.9-2               installed       
gstreamer.x86_64                         0.10.9-2               installed       
gstreamer-plugins-base.x86_64            0.10.9-4               installed       
gstreamer-plugins-good.x86_64            0.10.4-1.fc6           installed       
gstreamer-plugins-ugly.x86_64            0.10.4-3.lvn6          installed       
gstreamer-python.x86_64                  0.10.6-1.fc6           installed       
gstreamer-tools.x86_64                   0.10.9-2               installed       
gstreamer08.x86_64                       0.8.12-8.fc6           installed       
gstreamer08-plugins.x86_64               0.8.12-7.fc6           installed       
[shrikant@shricore64 ~]$ yum list installed | grep xine
totem-xine.x86_64                        2.16.4-1.lvn6          installed       
totem-xine-mozplugin.x86_64              2.16.4-1.lvn6          installed       
xine.x86_64                              0.99.4-10.lvn6         installed       
xine-lib.x86_64                          1.1.3-2.fc6            installed       
xine-lib-extras-nonfree.x86_64           1.1.3-3.lvn6           installed       
xinetd.x86_64                            2:2.3.14-8             installed
 
Old 03-02-2007, 07:45 AM   #3
phantom_cyph
Senior Member
 
Registered: Feb 2007
Location: My HDD...
Distribution: WinXP for designing, Linux for life.
Posts: 2,329
Blog Entries: 1

Original Poster
Rep: Reputation: 47
um-this is what I got:

kevan@kevanr:~$ yum list installed | grep gsteamer
bash: yum: command not found
kevan@kevanr:~$
 
Old 03-02-2007, 07:50 AM   #4
Hitboxx
Senior Member
 
Registered: Mar 2006
Location: India
Distribution: Fedora
Posts: 1,562
Blog Entries: 3

Rep: Reputation: 51
LoL sorry, what distro you on? If Ubuntu, i think its 'apt-cache policy gstreamer'.

If I'm wrong, someone please correct me and help him.
 
Old 03-02-2007, 10:08 PM   #5
phantom_cyph
Senior Member
 
Registered: Feb 2007
Location: My HDD...
Distribution: WinXP for designing, Linux for life.
Posts: 2,329
Blog Entries: 1

Original Poster
Rep: Reputation: 47
kevan@kevanr:~$ apt-cache policy gstreamer
W: Unable to locate package gstreamer
kevan@kevanr:~$

Does this mean I need to install something?
 
Old 03-03-2007, 07:17 AM   #6
Hitboxx
Senior Member
 
Registered: Mar 2006
Location: India
Distribution: Fedora
Posts: 1,562
Blog Entries: 3

Rep: Reputation: 51
Just get this and follow instructions.

E A S Y U B U N T U
 
Old 03-03-2007, 03:32 PM   #7
phantom_cyph
Senior Member
 
Registered: Feb 2007
Location: My HDD...
Distribution: WinXP for designing, Linux for life.
Posts: 2,329
Blog Entries: 1

Original Poster
Rep: Reputation: 47
man-that is taking a long time to load...Oh, and I can't play my DVDs either-the same error comes up.
 
Old 03-03-2007, 04:26 PM   #8
phantom_cyph
Senior Member
 
Registered: Feb 2007
Location: My HDD...
Distribution: WinXP for designing, Linux for life.
Posts: 2,329
Blog Entries: 1

Original Poster
Rep: Reputation: 47
The main web page loads, but nothing linked to it does, I can't download it...
 
Old 03-03-2007, 04:48 PM   #9
kernel_geek
Member
 
Registered: Jan 2007
Location: UK
Distribution: Ubuntu/Arch
Posts: 161

Rep: Reputation: 30
Easy ubuntu is c***

If you have dapper do this at terminal (will install codecs):

sudo apt-get install gstreamer0.10-ffmpeg gstreamer0.10-gl gstreamer0.10-plugins-base gstreamer0.10-plugins-good gstreamer0.10-plugins-bad gstreamer0.10-plugins-bad-multiverse gstreamer0.10-plugins-ugly gstreamer0.10-plugins-ugly-multiverse w32codecs

For dvds as well:
sudo apt-get install libdvdread3

sudo apt-get install dpkg-dev fakeroot debhelper # If you have AMD64. You need dpkg-source. Otherwise skip.

sudo /usr/share/doc/libdvdread3/examples/install-css.sh

sudo apt-get install totem-xine
 
Old 03-03-2007, 04:50 PM   #10
kernel_geek
Member
 
Registered: Jan 2007
Location: UK
Distribution: Ubuntu/Arch
Posts: 161

Rep: Reputation: 30
Thy should work with edgy as well. BTW it installs evrything, dvds,wmv,wma,mp3,ogg etc ...
 
Old 03-03-2007, 05:14 PM   #11
phantom_cyph
Senior Member
 
Registered: Feb 2007
Location: My HDD...
Distribution: WinXP for designing, Linux for life.
Posts: 2,329
Blog Entries: 1

Original Poster
Rep: Reputation: 47
well, the totem error didnt come up again, but this did:

The source seems encrypted, and can't be read. Are you trying to play an encrypted DVD without libdvdcss?
 
Old 03-03-2007, 05:18 PM   #12
phantom_cyph
Senior Member
 
Registered: Feb 2007
Location: My HDD...
Distribution: WinXP for designing, Linux for life.
Posts: 2,329
Blog Entries: 1

Original Poster
Rep: Reputation: 47
Quote:
kevan@kevanr:~$ sudo apt-get install gstreamer0.10-ffmpeg gstreamer0.10-gl gstreamer0.10-plugins-base gstreamer0.10-plugins-good gstreamer0.10-plugins-bad gstreamer0.10-plugins-bad-multiverse gstreamer0.10-plugins-ugly gstreamer0.10-plugins-ugly-multiverse w32codecs
Password:
Reading package lists... Done
Building dependency tree
Reading state information... Done
gstreamer0.10-plugins-base is already the newest version.
gstreamer0.10-plugins-good is already the newest version.
Package w32codecs is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package w32codecs has no installation candidate
kevan@kevanr:~$ sudo apt-get install libdvdread3
Reading package lists... Done
Building dependency tree
Reading state information... Done
libdvdread3 is already the newest version.
The following packages were automatically installed and are no longer required:
libapr0 libsvn0 kdesvn-kio-plugins libsvnqt2
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 5 not upgraded.
kevan@kevanr:~$ sudo /usr/share/doc/libdvdread3/examples/install-css.sh
sudo: /usr/share/doc/libdvdread3/examples/install-css.sh: command not found
kevan@kevanr:~$ sudo apt-get install totem-xine
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
libapr0 libsvn0 kdesvn-kio-plugins totem-gstreamer libsvnqt2
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
libmodplug0c2 libxine1
Recommended packages:
libxine-extracodecs
The following packages will be REMOVED:
totem-gstreamer
The following NEW packages will be installed:
libmodplug0c2 libxine1 totem-xine
0 upgraded, 3 newly installed, 1 to remove and 5 not upgraded.
Need to get 4439kB of archives.
After unpacking 7156kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://security.ubuntu.com edgy-security/main libxine1 1.1.2+repacked1-0ubuntu3.2 [3222kB]
Get:2 http://us.archive.ubuntu.com edgy/main libmodplug0c2 1:0.7-5 [115kB]
Get:3 http://us.archive.ubuntu.com edgy-updates/universe totem-xine 2.16.2-0ubuntu3 [1102kB]
Fetched 4439kB in 25s (176kB/s)
dpkg: totem-gstreamer: dependency problems, but removing anyway as you request:
totem-mozilla depends on totem-xine (>= 2.16.2-0ubuntu3) | totem-gstreamer (>= 2.16.2-0ubuntu3); however:
Package totem-xine is not installed.
Package totem-gstreamer is to be removed.
totem depends on totem-gstreamer (>= 2.16.2-0ubuntu3) | totem-xine (>= 2.16.2-0ubuntu3); however:
Package totem-gstreamer is to be removed.
Package totem-xine is not installed.
(Reading database ... 124986 files and directories currently installed.)
Removing totem-gstreamer ...
Selecting previously deselected package libmodplug0c2.
(Reading database ... 124845 files and directories currently installed.)
Unpacking libmodplug0c2 (from .../libmodplug0c2_1%3a0.7-5_i386.deb) ...
Selecting previously deselected package libxine1.
Unpacking libxine1 (from .../libxine1_1.1.2+repacked1-0ubuntu3.2_i386.deb) ...
Selecting previously deselected package totem-xine.
Unpacking totem-xine (from .../totem-xine_2.16.2-0ubuntu3_i386.deb) ...
Setting up libmodplug0c2 (0.7-5) ...

Setting up libxine1 (1.1.2+repacked1-0ubuntu3.2) ...

Setting up totem-xine (2.16.2-0ubuntu3) ...

kevan@kevanr:~$
This is what it looked like when I was installing...
 
Old 03-03-2007, 05:38 PM   #13
phantom_cyph
Senior Member
 
Registered: Feb 2007
Location: My HDD...
Distribution: WinXP for designing, Linux for life.
Posts: 2,329
Blog Entries: 1

Original Poster
Rep: Reputation: 47
can I get some help here? (look at post #11)
 
Old 03-03-2007, 06:08 PM   #14
Hitboxx
Senior Member
 
Registered: Mar 2006
Location: India
Distribution: Fedora
Posts: 1,562
Blog Entries: 3

Rep: Reputation: 51
sudo apt-get install libdvdcss libdvdcss2
 
Old 03-04-2007, 02:50 AM   #15
kernel_geek
Member
 
Registered: Jan 2007
Location: UK
Distribution: Ubuntu/Arch
Posts: 161

Rep: Reputation: 30
Yeeah you obviously cant do the xine trick in edgy, do the command as shown in previous post
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Totem. Plugins problem for playing DVD's on FC5 farpoint Linux - Software 6 07-25-2006 10:28 AM
xine,amarok ,totem and helix player plugins?? GEJOE DANIEL Linux - Software 1 01-23-2006 01:21 PM
TOTEM plugins (Gnome, FC4) itz2000 Fedora 11 09-18-2005 11:27 AM
How do I install totem plugins and where should I get them? darbot Linux - Software 4 10-29-2004 09:24 PM
totem plugins rilians Linux - Software 0 12-12-2003 04:28 PM


All times are GMT -5. The time now is 03:44 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration